// Player.h				

#import <objectbase.h>
#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import "def.h"

@interface Player: SwarmObject {

  int playerID, type;
  int cumulPayoff;
  int numPlays;
  int memory; 
  int newAction;
  id other;
  double selectionPressure;
  double averagePayoff;

}

-init;
-setPlayerType: (int) pt;
-(int)getPlayerType;
-setOtherPlayer: player;
-setPayoff: (int) p;
-(int) getPayoff;
-(double) calcAveragePayoff;
-setAveragePayoff: (double) v;
-(double) getAveragePayoff;
-(int) getNewAction;
-remember;
-step: (int) t;
@end

