// Player.m					SimpleBug

#import "Player.h"
#import <simtools.h>

int iParam[4] = {1, 1, 0, 0};
int pParam[4] = {1, 1, 0, 0};
int qParam[4] = {1, 0, 1, 0};

@implementation Player 

-init {
  numPlays=0;
  cumulPayoff = 0;
  averagePayoff = 0.0;
  return self;
}

-setPlayerType: (int) pt {
  type = pt;
  return self;
}

-(int) getPlayerType {
  return type;
}

-setOtherPlayer: player {
  other = player;
  return self;
}

-setPayoff: (int) p {
  cumulPayoff = p;
  return self;
}

-(int) getPayoff {
  return cumulPayoff;
}

-(double) calcAveragePayoff {
  return (double)cumulPayoff / (double)numPlays;
}

-setAveragePayoff: (double) v {
  averagePayoff = v;
}

-(double) getAveragePayoff {
  return averagePayoff;
}

-(int) getNewAction {
  return newAction;
}

-remember {
  memory = [other getNewAction];
  return self;
}

-step: (int) time {
  if (time==0) {
    newAction = iParam[type];
  }
  else {
    if (memory==1)
      newAction = pParam[type];
    else 
      newAction = qParam[type];
  };
  numPlays++;
  return self;
}

@end

  


