// ModelSwarm.h					

#import "Player.h"
#import "Tournament.h"
#import <objectbase.h>
#import <objectbase/Swarm.h>
#import <random.h>
#import "def.h"


@interface ModelSwarm: Swarm {

  id popList, newList;
  int gen, numGen, randomSeed;
  int numPlayers, num[4], n0, n1, n2, n3;
  double selectionPressure;
  double averagePayoff;
}

+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-(id) getPlayers;
-(int) getNum0;
-(int) getNum1;
-(int) getNum2;
-(int) getNum3;
-(double)getAveragePayoff;
-runTournament;
-reportResults;
-step;

@end


